RDKit::Descriptors::CrippenParams Class Reference

a class used to store Crippen parameters More...

`#include <Crippen.h>`

## Public Member Functions

| ~CrippenParams ()

## Public Attributes

boost::shared_ptr< const ROMol > | dp_pattern
unsigned int | idx
std::string | label
std::string | smarts
double | logp
double | mr

## Detailed Description

a class used to store Crippen parameters

Definition at line 74 of file Crippen.h.

## Constructor & Destructor Documentation

## ~CrippenParams()

RDKit::Descriptors::CrippenParams::~CrippenParams | ( |  | ) |

## Member Data Documentation

## dp_pattern

boost::shared_ptr<const ROMol> RDKit::Descriptors::CrippenParams::dp_pattern

Definition at line 76 of file Crippen.h.

## idx

unsigned int RDKit::Descriptors::CrippenParams::idx

Definition at line 77 of file Crippen.h.

## label

std::string RDKit::Descriptors::CrippenParams::label

Definition at line 78 of file Crippen.h.

## logp

double RDKit::Descriptors::CrippenParams::logp

Definition at line 80 of file Crippen.h.

## mr

double RDKit::Descriptors::CrippenParams::mr

Definition at line 81 of file Crippen.h.

## smarts

std::string RDKit::Descriptors::CrippenParams::smarts

Definition at line 79 of file Crippen.h.

The documentation for this class was generated from the following file:

- Crippen.h